List Contracts

This endpoint retrieves a detailed list of contracts. The endpoint supports filtering and sorting based on various criteria.

A contract is a formal agreement between the MSP and its active client, enriched with information such as the associated client, contact, and other agreement-specific details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[name]=example_value - to filter for exact match.

  • filter[name]=eq:example_value - to filter for exact match.

  • filter[name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field client.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[client.id]=example_value - to filter for exact match.

  • filter[client.id]=eq:example_value - to filter for exact match.

  • filter[client.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field client.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[client.name]=example_value - to filter for exact match.

  • filter[client.name]=eq:example_value - to filter for exact match.

  • filter[client.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[client.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field contact.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[contact.id]=example_value - to filter for exact match.

  • filter[contact.id]=eq:example_value - to filter for exact match.

  • filter[contact.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field is_recurring.

Supports comparison operators: eq.

Query examples:

  • filter[is_recurring]=true - to filter for exact match.

  • filter[is_recurring]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field type.

Possible values: MANAGED_SERVICES, BLOCK, 3RD_PARTY, UNASSIGNED.

Supports comparison operators: eq, in.

Query examples:

  • filter[type]=MANAGED_SERVICES - to filter for exact match.

  • filter[type]=eq:MANAGED_SERVICES - to filter for exact match.

  • filter[type]=in:MANAGED_SERVICES,BLOCK,3RD_PARTY - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field term.starts_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[term.starts_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[term.starts_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[term.starts_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[term.starts_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field term.ends_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[term.ends_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[term.ends_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[term.ends_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[term.ends_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(eq):.+$

Filters records by using a query string on the field term.is_auto_renew.

Supports comparison operators: eq.

Query examples:

  • filter[term.is_auto_renew]=true - to filter for exact match.

  • filter[term.is_auto_renew]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field term.billing_period.

Possible values: NOT_BILLED, ONE_TIME, ANNUAL, SEMI_ANNUAL, QUARTERLY, BI_MONTHLY, MONTHLY, BI_WEEKLY, WEEKLY, OTHER.

Supports comparison operators: eq, in.

Query examples:

  • filter[term.billing_period]=NOT_BILLED - to filter for exact match.

  • filter[term.billing_period]=eq:NOT_BILLED - to filter for exact match.

  • filter[term.billing_period]=in:NOT_BILLED,ONE_TIME,ANNUAL - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field source_type.

Supports comparison operators: eq, in.

Query examples:

  • filter[source_type]=example_value - to filter for exact match.

  • filter[source_type]=eq:example_value - to filter for exact match.

  • filter[source_type]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field is_addendum.

Supports comparison operators: eq.

Query examples:

  • filter[is_addendum]=true - to filter for exact match.

  • filter[is_addendum]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field parent_contract.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[parent_contract.id]=example_value - to filter for exact match.

  • filter[parent_contract.id]=eq:example_value - to filter for exact match.

  • filter[parent_contract.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field parent_contract.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[parent_contract.name]=example_value - to filter for exact match.

  • filter[parent_contract.name]=eq:example_value - to filter for exact match.

  • filter[parent_contract.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[parent_contract.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field status.

Possible values: SUSPENDED, EXPIRED, ACTIVE, DRAFT, SENT, SIGNED, NOT_EXECUTED, CANCELLED.

Supports comparison operators: eq, in.

Query examples:

  • filter[status]=SUSPENDED - to filter for exact match.

  • filter[status]=eq:SUSPENDED - to filter for exact match.

  • filter[status]=in:SUSPENDED,EXPIRED,ACTIVE - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field is_billable.

Supports comparison operators: eq.

Query examples:

  • filter[is_billable]=true - to filter for exact match.

  • filter[is_billable]=eq:true - to filter for exact match.

string
^(eq):.+$

Filters records by using a query string on the field contract_pricings.is_billable.

Supports comparison operators: eq.

Query examples:

  • filter[contract_pricings.is_billable]=true - to filter for exact match.

  • filter[contract_pricings.is_billable]=eq:true - to filter for exact match.

string
^(eq|in):.+$

Filters records by using a query string on the field contract_pricings.pricing_type.

Possible values: UNKNOWN, UNIT, ALLOCATION.

Supports comparison operators: eq, in.

Query examples:

  • filter[contract_pricings.pricing_type]=UNKNOWN - to filter for exact match.

  • filter[contract_pricings.pricing_type]=eq:UNKNOWN - to filter for exact match.

  • filter[contract_pricings.pricing_type]=in:UNKNOWN,UNIT,ALLOCATION - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field contract_pricings.items.product.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[contract_pricings.items.product.id]=example_value - to filter for exact match.

  • filter[contract_pricings.items.product.id]=eq:example_value - to filter for exact match.

  • filter[contract_pricings.items.product.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field contract_pricings.items.product.name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[contract_pricings.items.product.name]=example_value - to filter for exact match.

  • filter[contract_pricings.items.product.name]=eq:example_value - to filter for exact match.

  • filter[contract_pricings.items.product.name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[contract_pricings.items.product.name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(name|client\.id|client\.name|contact\.id|is_recurring|type|term\.starts_at|term\.ends_at|term\.is_auto_renew|term\.billing_period|source_type|is_addendum|parent_contract\.name|status|is_billable|record_created_at|record_updated_at)(,[+-]?(name|client\.id|client\.name|contact\.id|is_recurring|type|term\.starts_at|term\.ends_at|term\.is_auto_renew|term\.billing_period|source_type|is_addendum|parent_contract\.name|status|is_billable|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: name, client.id, client.name, contact.id, is_recurring, type, term.starts_at, term.ends_at, term.is_auto_renew, term.billing_period, source_type, is_addendum, parent_contract.name, status, is_billable, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json